import { Meta, Canvas, Controls } from "@storybook/blocks";
import * as ComponentStories from "./async-html.stories";

<Meta of={ComponentStories} name="Docs" />

# Async Html

The `<ux-iws-async-html>` adds the ability to render HTML and optional scripts asynchronously.

<Canvas of={ComponentStories.Default}></Canvas>

## Replace Component

Setting the `replace` attribute on `ux-iws-async-html` will replace
the component with the response HTML. <br />
The component will be replaced even if the HTML response is empty.

<Canvas of={ComponentStories.Replace}></Canvas>

### Advanced usage

On fetch error, the component will only dispatch the event `uxIwsAsyncHtmlContentInserted`
with event details `false`. <br />
If the fetch is successful, the component will first emit the event `uxIwsAsyncHtmlInsertReady`.
If the default of this event is prevented, then the content of the response will not be inserted.

## Developer Documentation

<Controls />
